hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stack <st...@duboce.net>
Subject Re: Change HBase version string from 0.95.0-SNAPSHOT to 0.95.0-hadoop1-SNAPSHOT and 0.95.0-hadoop2-SNAPSHOT?
Date Sat, 30 Mar 2013 04:50:50 GMT
On Fri, Mar 29, 2013 at 9:22 PM, Konstantin Boudnik <cos@apache.org> wrote:

> I also would rather abstain from classifiers approach despite this
> particular
> usecase to be their original intention  (see a good discussion here
> http://is.gd/PH1FPU). I found them particularly painful in Ivy
> environment,
> but it might be "somebody else problem" ;)
>
>
I tried again to make it wor*k. Maven won (again).  I concede.*
*
*
*It is plain that the assembly can't find artifacts w/ the classifier
appended.  Messing w/ moduleSets and dependencySets in the assembly spec. I
can get the jars w/ classifier to show up -- and not their dependencies --
or it just fails, w/ above noted error, or dependencySets go erratic and
start picking up random includes.*


> May be version strings isn't that bad an idea after all? All other things
> being equal of course :/
>

This is what I am thinking now.

Thanks,
St.Ack

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message